<SCRIPT LANGUAGE=javascript>
<!--
var
  serverAddr="";
  serverDir="";
  videoFile="20031231~1.wmv.asf.asf";
  duration=0;
  playing=true;
  setTT="a";
  beginTime=0;
  titleTime=0;
  i=1;
//timelist
  sstime = new Array;
    sstime[1]=1;
    sstime[2]=88;
    sstime[3]=104;
    sstime[4]=124;
    sstime[5]=153;
    sstime[6]=162;
    sstime[7]=164;
    sstime[8]=193;
    sstime[9]=233;
    sstime[10]=278;
    sstime[11]=364;
    sstime[12]=410;
    sstime[13]=495;
    sstime[14]=529;
    sstime[15]=572;
    sstime[16]=607;
    sstime[17]=627;
    sstime[18]=660;
    sstime[19]=696;
    sstime[20]=699;
    sstime[21]=732;
    sstime[22]=781;
    sstime[23]=843;
    sstime[24]=848;
    sstime[25]=866;
    sstime[26]=903;
    sstime[27]=986;
    sstime[28]=1128;
    sstime[29]=1256;
    sstime[30]=1339;
    sstime[31]=1353;
    sstime[32]=1357;
    sstime[33]=1432;
    sstime[34]=1474;
    sstime[35]=1479;
    sstime[36]=1482;
    sstime[37]=1527;
    sstime[38]=1570;
    sstime[39]=1642;
////sstime[#No]=#StartSecond;
//imageslist
  imgname = new Array;
    imgname[1]="slide1.jpg";
    imgname[2]="slide2.jpg";
    imgname[3]="slide3.jpg";
    imgname[4]="slide4.jpg";
    imgname[5]="slide5.jpg";
    imgname[6]="slide6.jpg";
    imgname[7]="slide7.jpg";
    imgname[8]="slide8.jpg";
    imgname[9]="slide9.jpg";
    imgname[10]="slide10.jpg";
    imgname[11]="slide11.jpg";
    imgname[12]="slide12.jpg";
    imgname[13]="slide13.jpg";
    imgname[14]="slide14.jpg";
    imgname[15]="slide15.jpg";
    imgname[16]="slide16.jpg";
    imgname[17]="slide17.jpg";
    imgname[18]="slide18.jpg";
    imgname[19]="slide19.jpg";
    imgname[20]="slide20.jpg";
    imgname[21]="slide21.jpg";
    imgname[22]="slide22.jpg";
    imgname[23]="slide23.jpg";
    imgname[24]="slide24.jpg";
    imgname[25]="slide25.jpg";
    imgname[26]="slide26.jpg";
    imgname[27]="slide27.jpg";
    imgname[28]="slide28.jpg";
    imgname[29]="slide29.jpg";
    imgname[30]="slide30.jpg";
    imgname[31]="slide31.jpg";
    imgname[32]="slide32.jpg";
    imgname[33]="slide33.jpg";
    imgname[34]="slide34.jpg";
    imgname[35]="slide35.jpg";
    imgname[36]="slide34.jpg";
    imgname[37]="slide35.jpg";
    imgname[38]="slide36.jpg";
    imgname[39]="slide37.jpg";
////imgname[#No] =#slideNo.jpg;
//focuslist
  focusname = new Array;
    focusname[1]="第七章　　　　　　　　　　　　　";
    focusname[2]="本章内容简介　　　　　　　　　　";
    focusname[3]="学习目标　　　　　　　　　　　　";
    focusname[4]="重点与难点　　　　　　　　　　　";
    focusname[5]="第一节　　　　　　　　　　　　　";
    focusname[6]="无标题　　　　　　　　　　　　　";
    focusname[7]="无标题　　　　　　　　　　　　　";
    focusname[8]="无标题　　　　　　　　　　　　　";
    focusname[9]="二、主要用途　　　　　　　　　　";
    focusname[10]="三、质谱仪　　　　　　　　　　　";
    focusname[11]="无标题　　　　　　　　　　　　　";
    focusname[12]="1、离子源　　　　　　　　　　　　";
    focusname[13]="无标题　　　　　　　　　　　　　";
    focusname[14]="无标题　　　　　　　　　　　　　";
    focusname[15]="无标题　　　　　　　　　　　　　";
    focusname[16]="无标题　　　　　　　　　　　　　";
    focusname[17]="无标题　　　　　　　　　　　　　";
    focusname[18]="无标题　　　　　　　　　　　　　";
    focusname[19]="无标题　　　　　　　　　　　　　";
    focusname[20]="无标题　　　　　　　　　　　　　";
    focusname[21]="无标题　　　　　　　　　　　　　";
    focusname[22]="无标题　　　　　　　　　　　　　";
    focusname[23]="第二节　　　　　　　　　　　　　";
    focusname[24]="无标题　　　　　　　　　　　　　";
    focusname[25]="无标题　　　　　　　　　　　　　";
    focusname[26]="一、接口技术（关键）　　　　　　";
    focusname[27]="接口类型　　　　　　　　　　　　";
    focusname[28]="二、色谱单元（满足质谱仪的特殊要";
    focusname[29]="三、GC/MS的优点（与GC相比）　　　";
    focusname[30]="无标题　　　　　　　　　　　　　";
    focusname[31]="无标题　　　　　　　　　　　　　";
    focusname[32]="一、液质联用的“接口”技术要求：";
    focusname[33]="二、常见“接口”技术：　　　　　";
    focusname[34]="直角的大气压电离　　　　　　　　";
    focusname[35]="无标题　　　　　　　　　　　　　";
    focusname[36]="直角的大气压电离　　　　　　　　";
    focusname[37]="无标题　　　　　　　　　　　　　";
    focusname[38]="无标题　　　　　　　　　　　　　";
    focusname[39]="本章小结　　　　　　　　　　　　";
////focusname[#No] =#FocusName;
function See(hh,ff) {
        hh.src=ff;
}
function timeCount(){
  if (video.PlayState==3){
     duration++; 
     if (duration>=sstime[i]){
       if (parent.mainFrame.document.location.href.indexOf("main.htm",1)>0){
         if (imgname[i]!=""){
           if (screen.width==1024) {
             See(parent.mainFrame.document.pic.picarea,"images/"+imgname[i]);
           }
           else
           {
             See(parent.mainFrame.document.pic.picarea,"images/img800/"+imgname[i]);
           }         
         }
       }
       i++;
     }
  }
  setTT=window.setTimeout("timeCount()",1000);
}
function init(){
  duration=0;
  i=1;
  playing=true;
  setTT=setTimeout("timeCount()",1000);
}
function jump(){
  clearTimeout(setTT);
  //i=document.ffff.llll.selectedIndex+1;
  i=document.ffff.llll.value;
  video.controls.currentPosition=sstime[i];
  duration=sstime[i];
  setTT=window.setTimeout("timeCount()",1000);
}
function setFocus(){
  for (var ii=1;ii<=focusname.length-1;ii++){
    if (focusname[ii].indexOf("无标题",0)==-1){
      if (screen.width==1024) {
        document.write("<option value="+ii+">"+focusname[ii]+"</option>");
      }
      else 
      {
        document.write("<option value="+ii+">"+focusname[ii].substring(0,14)+"</option>");
      }
    }
  }
}
function msPlayer(){
  if (screen.width==1024) {
    document.write ("<object classid=clsid:6BF52A52-394A-11D3-B153-00C04F79FAA6 name=video width=240 height=240>");
  }
  else
  {
    document.write ("<object classid=clsid:6BF52A52-394A-11D3-B153-00C04F79FAA6 name=video width=180 height=180>");
  }
  if (serverAddr!="") {
    document.write ("<param name=url value=mms://"+serverAddr+serverDir+videoFile+">");
  } else {
    document.write ("<param name=url value=source/"+videoFile+">");
  }
  document.write ("<param name=rate value=1>");
  document.write ("<param name=balance value=0>");
  document.write ("<param name=currentPosition value=0>");
  document.write ("<param name=playCount value=1>");
  document.write ("<param name=autoStart value=1>");
  document.write ("<param name=volume value=50>");
  document.write ("<param name=mute value=0>");
  document.write ("<param name=uiMode value=mini>");
  document.write ("<param name=stretchToFit value=0>");
  document.write ("<param name=windowlessVideo value=0>");
  document.write ("<param name=enableContextMenu value=0>");
  document.write ("<param name=fullScreen value=0>");
  document.write ("<param name=enableErrorDialogs value=0>");
  document.write ("<param name=_cy value=6350>");
  document.write ("<param name=_cx value=6482>");
  document.write ("</object>");
}  
-->
</script>
<script language="JavaScript" FOR="video" EVENT=PlayStateChange(newState)>
  <!--
  switch (newState) {
    case 1: playing=false;
	        duration=0;
			i=1;
			clearTimeout(setTT);			
			break;
	case 2:
			playing=false;
	        clearTimeout(setTT);
		    break;
	case 3:
			if (parent.mainFrame.document.location.href.indexOf("main.htm",1)<1)
             {parent.mainFrame.document.location.href="main.htm";}
			if ((playing==false)&&(video.PlayState==3)){
			  playing=true;
	          setTT=setTimeout("timeCount()",1000);
			 }
		    break;
  }
  -->
</script>
